Cyan Web API - Version 1


GET api/nodeIndices?{nodeId}

            Gets the NodeIndices for a Node.
            

Request Information

Parameters

NameDescriptionAdditional information
nodeId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "nodeIndexId": "10110b08-e200-4655-9c37-2d6f2ce68d94",
    "tenantId": "f4677d4a-1630-4109-b573-57aa334982a1",
    "propertyKey": "sample string 3",
    "propertyValue": "sample string 4",
    "nodeId": "c1b35575-2df8-4a8e-930e-54764b7e414f",
    "nodeCyanId": 6,
    "cyanId": 7,
    "createdDateUtc": "2026-08-10T10:24:54.8242638+00:00",
    "updatedDateUtc": "2026-08-10T10:24:54.8242638+00:00"
  },
  {
    "nodeIndexId": "10110b08-e200-4655-9c37-2d6f2ce68d94",
    "tenantId": "f4677d4a-1630-4109-b573-57aa334982a1",
    "propertyKey": "sample string 3",
    "propertyValue": "sample string 4",
    "nodeId": "c1b35575-2df8-4a8e-930e-54764b7e414f",
    "nodeCyanId": 6,
    "cyanId": 7,
    "createdDateUtc": "2026-08-10T10:24:54.8242638+00:00",
    "updatedDateUtc": "2026-08-10T10:24:54.8242638+00:00"
  },
  {
    "nodeIndexId": "10110b08-e200-4655-9c37-2d6f2ce68d94",
    "tenantId": "f4677d4a-1630-4109-b573-57aa334982a1",
    "propertyKey": "sample string 3",
    "propertyValue": "sample string 4",
    "nodeId": "c1b35575-2df8-4a8e-930e-54764b7e414f",
    "nodeCyanId": 6,
    "cyanId": 7,
    "createdDateUtc": "2026-08-10T10:24:54.8242638+00:00",
    "updatedDateUtc": "2026-08-10T10:24:54.8242638+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfNodeIndexRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <NodeIndexRepresentation>
    <CreatedDateUtc>2026-08-10T10:24:54.8242638+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-08-10T10:24:54.8242638+00:00</UpdatedDateUtc>
    <CyanId>7</CyanId>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>c1b35575-2df8-4a8e-930e-54764b7e414f</NodeId>
    <NodeIndexId>10110b08-e200-4655-9c37-2d6f2ce68d94</NodeIndexId>
    <PropertyKey>sample string 3</PropertyKey>
    <PropertyValue>sample string 4</PropertyValue>
    <TenantId>f4677d4a-1630-4109-b573-57aa334982a1</TenantId>
  </NodeIndexRepresentation>
  <NodeIndexRepresentation>
    <CreatedDateUtc>2026-08-10T10:24:54.8242638+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-08-10T10:24:54.8242638+00:00</UpdatedDateUtc>
    <CyanId>7</CyanId>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>c1b35575-2df8-4a8e-930e-54764b7e414f</NodeId>
    <NodeIndexId>10110b08-e200-4655-9c37-2d6f2ce68d94</NodeIndexId>
    <PropertyKey>sample string 3</PropertyKey>
    <PropertyValue>sample string 4</PropertyValue>
    <TenantId>f4677d4a-1630-4109-b573-57aa334982a1</TenantId>
  </NodeIndexRepresentation>
  <NodeIndexRepresentation>
    <CreatedDateUtc>2026-08-10T10:24:54.8242638+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-08-10T10:24:54.8242638+00:00</UpdatedDateUtc>
    <CyanId>7</CyanId>
    <NodeCyanId>6</NodeCyanId>
    <NodeId>c1b35575-2df8-4a8e-930e-54764b7e414f</NodeId>
    <NodeIndexId>10110b08-e200-4655-9c37-2d6f2ce68d94</NodeIndexId>
    <PropertyKey>sample string 3</PropertyKey>
    <PropertyValue>sample string 4</PropertyValue>
    <TenantId>f4677d4a-1630-4109-b573-57aa334982a1</TenantId>
  </NodeIndexRepresentation>
</ArrayOfNodeIndexRepresentation>